Bug 1467275 - Many duplicate templates w/ same name exists
Many duplicate templates w/ same name exists
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2017-07-03 05:55 EDT by Sachin Ghai
Modified: 2018-02-21 12:30 EST (History)
5 users (show)

See Also:
Fixed In Version: tfm-rubygem-foreman_discovery-9.1.1-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-02-21 12:30:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
duplicate templates (59.58 KB, image/png)
2017-07-03 05:55 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2017-07-03 05:55:43 EDT
Created attachment 1293786 [details]
duplicate templates

Description of problem:
In satellite6.3 snap4, I see many entries of following templates and seems all are duplicate.

Boot disk iPXE - generic host 
Boot disk iPXE - host
Discovery Debian kexec 
Discovery Red Hat kexec

I don't know if its intended, but since these are all duplicate so I think we should list one template for each.

Version-Release number of selected component (if applicable):
sat6.3 snap4

How reproducible:

Steps to Reproduce:
1. go to provisioning templates

Actual results:
many duplicate entries of same template ex:
Boot disk iPXE - generic host 
Boot disk iPXE - host
Discovery Debian kexec 
Discovery Red Hat kexec

Expected results:

Additional info:
Comment 2 Marek Hulan 2017-07-04 09:48:35 EDT
Could you doublecheck the version of discovery plugin? It should be fixed in 9.1.0 by http://projects.theforeman.org/issues/19732.

The bootdisk fix seems to be pending review - https://github.com/theforeman/foreman_bootdisk/pull/42

Are there any more duplicated templates?
Comment 5 Sachin Ghai 2017-08-08 04:02:59 EDT
Will verify this w/ latest 6.3 snap
Comment 6 Nikhil Kathole 2017-08-23 02:47:23 EDT
Found duplicate templates with same exist for Boot disk iPXE - generic host, Boot disk iPXE - host. 

Version Tested:
Satellite-6.3 Snap 12

rpm -qa | grep tfm-rubygem-foreman_discovery
>>> tfm-rubygem-foreman_discovery-9.1.1-1.fm1_15.el7sat.noarch
Comment 8 Marek Hulan 2017-11-07 02:16:14 EST
Meanwhile the bootdisk fix was merge but no new version was released yet
Comment 9 Sachin Ghai 2017-11-07 02:46:06 EST
Duplication around bootdisk templates still exists in sat6.3 snap24 though duplication around discovery templates fixed. Since the reported issue is fixed for discovery templates so verifying this only for discovery templates.

New issue is filed for bootdisk templates: https://bugzilla.redhat.com/show_bug.cgi?id=1510308
Comment 10 Bryan Kearney 2018-02-21 12:30:55 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.